Bug 1026437 - "you must disable data sources..." error on disabled data source while editing configuration
"you must disable data sources..." error on disabled data source while editin...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6, UI (Show other bugs)
JON 3.2
x86_64 Linux
unspecified Severity medium
: ER01
: JON 3.3.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 11:12 EST by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
datasource-config-disable (143.84 KB, image/png)
2013-11-04 11:12 EST, Armine Hovsepyan
no flags Details
config_update_disabled (131.26 KB, image/png)
2014-08-26 11:35 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-11-04 11:12:05 EST
Created attachment 819233 [details]
datasource-config-disable

Description of problem:
"you mast disable data sources before editing configuration" error on disabled data source while editing configuration

Version-Release number of selected component (if applicable):
jon 3.2 er4

How reproducible:
always 

Steps to Reproduce:
1. install and start jon server on IP1
2. install and start jon agent on Ip2 , connect to server on IP1
3. install and start jboss-eap-6 on Ip2
4. disable Resources -> EAP -> datasources 
5. navigate to server GUI -> Resources -> EAP -> datasources -> ExampleDS  - edit configuration


Actual results:
"you mast disable data sources before editing configuration" error on disabled data source while editing configuration

Expected results:
configurations is edited

Additional info:
screenshot attached
Comment 2 Thomas Segismont 2014-08-25 16:51:08 EDT
Might be an issue back then. Can you check again? It works fine for me on a 3.3 branch build.
Comment 3 Armine Hovsepyan 2014-08-26 11:35:03 EDT
bz is still visible in 3.3. ER1
screen-shot attached
Comment 4 Armine Hovsepyan 2014-08-26 11:35:30 EDT
Created attachment 931034 [details]
config_update_disabled
Comment 5 Armine Hovsepyan 2014-08-26 12:36:55 EDT
my mistake
I did not disable the resource itself, just disabled monitoring of the resource via jon.

issue is fixed
thank you!

Note You need to log in before you can comment on or make changes to this bug.